#ifndef PCAPWRAPPER_H
#define PCAPWRAPPER_H

#include <iostream>
#include <stdlib.h>
#include <pcap.h>
#include <signal.h>
#include <unistd.h>

using namespace std;

/*! \class PcapWrapper
    \brief This class encapsulates some functions of libpcap.

    This class can be used as an exercise for a simple packet capture.
*/
class PcapWrapper {

	public:

	PcapWrapper (char * = NULL);
	~PcapWrapper ();

	void run (int = 0) ;
	
	void setFilter (char *);

	private:
		char * dev, * filter;
		char errbuf [PCAP_ERRBUF_SIZE];	
		bpf_u_int32 mask, net;
		struct bpf_program fp;
		pcap_t * handle;
};

#endif
